import request from '@/utils/request'
import axios from 'axios'
export function dataImport(Personal_Number, Total_Name, Chinese_Name, OrgUnit, Cost_Center, Business_Area, PSG, Job_Title, Payroll_Area) {
  const param = new URLSearchParams()
  param.append('Personal_Number', Personal_Number)
  param.append('Total_Name', Total_Name)
  param.append('Chinese_Name', Chinese_Name)
  param.append('OrgUnit', OrgUnit)
  param.append('Cost_Center', Cost_Center)
  param.append('Business_Area', Business_Area)
  param.append('PSG', PSG)
  param.append('Job_Title', Job_Title)
  // param.append('Entry_Schaeffler', Entry_Schaeffler)
  param.append('Payroll_Area', Payroll_Area)
  return axios({
    url: 'http://192.168.1.122:8055/submit/WebLED.ashx?type=PersonnelIntroduction',
    method: 'post',
    data: param
  })
}
export function personFransfer() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '人员信息表格导入后轮询到人员表'
    }
  })
}
export function personSelect(pageList, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'SAP生产订单导入后_查询',
      Pagination: pageList + '&' + pageSize
    }
  })
}
export function personDelete() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_人员维护_人员删除',
      param: '人员编号=' + arguments[0]
    }
  })
}
export function addPeople() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '奖金绩效系统_人员维护_人员增加新',
      param: '工号=' + arguments[0] + '&密码=' + arguments[1] + '&姓名=' + arguments[2] + '&OrgUnit=' + arguments[3] + '&Cost_Center=' + arguments[4] + '&Business_Area=' + arguments[5] + '&PSG=' + arguments[6] +
      '&Job_Title=' + arguments[7] + '&Payroll_Area=' + arguments[8] + '&导入数据是否覆盖=' + arguments[9] + '&中文名=' + arguments[10]
    }
  })
}
// 人员更新
export function personUpdate() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_人员维护_人员修改新',
      param: 'id=' + arguments[0] + '\\&密码=' + arguments[1] + '\\&姓名=' + arguments[2] + '\\&OrgUnit=' + arguments[3] + '\\&Cost_Center=' + arguments[4] + '\\&Business_Area=' + arguments[5] + '\\&PSG=' + arguments[6] + '\\&Job_Title=' + arguments[7] + '\\&Payroll_Area=' + arguments[8] + '\\&导入数据是否覆盖=' + arguments[9] + '\\&中文名=' + arguments[10]
    }
  })
}
